Sync dogtail 0.8.1-2 (universe) from Debian experimental (main) and remove it from the blacklist

Bug #460210 reported by arky
34
This bug affects 4 people
Affects Status Importance Assigned to Milestone
dogtail (Debian)
Fix Released
Unknown
dogtail (Ubuntu)
Wishlist
Unassigned

Bug Description

New version of dogtail available upstream.

http://lwn.net/Articles/356280/

ProblemType: Bug
Architecture: i386
Date: Sun Oct 25 10:38:57 2009
DistroRelease: Ubuntu 9.10
Package: python-dogtail 0.6.1-3ubuntu3
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: dogtail
Uname: Linux 2.6.31-14-generic i686
XsessionErrors:
 (gnome-settings-daemon:1671): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1725): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1712): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

Revision history for this message
arky (arky) wrote :
Revision history for this message
emi (semyah7) wrote :

  When I used 1.3.x qBittorrent ran pretty good but once upgraded to Ubuntu 9.10 and installed 1.5.3 version, monitor suddenly be blank so rebooted pc and restarted qBittorrent, files went back to less uploaded size.
I uploaded 14 gigs but it went back to 8.1 gig that were 1 day back size of upload ... Ratio right under is always 10.0 and can't fix it. both download and upload speed, I sat up 1/10 of usually speed that are less than when I used for 1.3.x version but still never works as same as 1.3.x version. eg: previous version had over 200kiB/s or 900kiB/s for uploading but now uploading speed are under 20kiB/s so I decreased a lot of speed and now I can have 50-80 kiB/s either downloading has same problem. The most important question is pc crashed 2 times and monitor setting was changed , is it because of opening PC for days? Not because of qBittorrent?
I refuse to upgrade to 1.5.5 because I don't know which version is stable to i 386 ...
I do like qBittorrent so I want to keep using this. Please teach me which version is stable for Karmic Koala 9.10 i386 installation? Or is it not bug of qBittorrent ?

Revision history for this message
arky (arky) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
https://bugzilla.gnome.org/show_bug.cgi?id=601491

Changed in dogtail (Ubuntu):
status: New → Triaged
Revision history for this message
arky (arky) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=555850

Changed in dogtail (Debian):
status: Unknown → New
Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

As an update to this, upstream has just announced the release of dogtail 0.7.0. It appears to be available at https://fedorahosted.org/dogtail/wiki .

Changed in dogtail (Ubuntu):
importance: Undecided → Wishlist
tags: added: maverick
tags: added: natty
tags: added: a11y
Revision history for this message
Ma Hsiao-chun (mahsiaochun) wrote :

The latest version is 0.8.1 now.

tags: added: lucid needs-packaging oneiric precise quantal raring upgrade-software-version
removed: i386 maverick natty
Changed in dogtail (Debian):
status: New → Fix Released
Revision history for this message
Logan Rosen (logan) wrote : Re: Sync dogtail 0.8.1-1 (universe) from Debian experimental (main) and remove it from the blacklist

I just updated the title of this bug to reflect a request to sync the package from Debian experimental and remove it from the blacklist. It was removed from Ubuntu and added to the blacklist on the grounds that it had a B-D on at-spi, which was removed due to being outdated, but the package no longer has this build dependency, and it builds perfectly in an amd64 pbuilder (and installs/works as well).

I am subscribing ubuntu-sponsors now so that someone can hopefully pull this new version into raring and remove the package from the sync blacklist.

summary: - Newer version of dogtail
+ Sync dogtail 0.8.1-1 (universe) from Debian experimental (main) and
+ remove it from the blacklist
Revision history for this message
Jeremy Bicha (jbicha) wrote :

Ok, I can confirm that it builds on raring…but does it run?

$ sniff
Traceback (most recent call last):
  File "/usr/bin/sniff", line 16, in <module>
    from dogtail.config import config
  File "/usr/lib/python2.7/dist-packages/dogtail/config.py", line 18, in <module>
    class _Config(object):
  File "/usr/lib/python2.7/dist-packages/dogtail/config.py", line 118, in _Config
    __homeDirOrNamedTmp = staticmethod(_homeDirOrNamedTmp(baseName))
NameError: name 'baseName' is not defined

Revision history for this message
Logan Rosen (logan) wrote :

Oh, interesting. I'll take a look into that. I tested importing the dogtail module in Python, which didn't return any errors, so I assumed it worked (didn't realize there was a "sniff" binary as well).

Revision history for this message
Jamie Strandboge (jdstrand) wrote :

Based on comments #8 and #9. Unsubscribing ubuntu-sponsors. Please feel free to resubscribe once there is something to sponsor. Thanks for attending to this. :)

Revision history for this message
Alessio Treglia (quadrispro) wrote :

Patch uploaded to Debian experimental.

Revision history for this message
Dmitry Shachnev (mitya57) wrote :

The new version should fix the issues mentioned by Jeremy, so re-subscribing sponsors.

https://launchpad.net/debian/experimental/+source/dogtail/0.8.1-2

summary: - Sync dogtail 0.8.1-1 (universe) from Debian experimental (main) and
+ Sync dogtail 0.8.1-2 (universe) from Debian experimental (main) and
remove it from the blacklist
Revision history for this message
Daniel Holbach (dholbach) wrote :

Sync ACKed.

Revision history for this message
Steve Langasek (vorlon) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package dogtail - 0.8.1-2
Sponsored for Logan Rosen (logan)

---------------
dogtail (0.8.1-2) experimental; urgency=low

  * Fix mistake in 0001-homedirornamedtemp.patch.
    This should unblock LP: #460210

 -- Alessio Treglia <email address hidden> Thu, 14 Feb 2013 18:12:50 +0000

dogtail (0.8.1-1) experimental; urgency=low

  * New maintainer. (Closes: #696136) (Closes: #553898)
  * Set packaging format to 3.0 (quilt).
  * New upstream release (Closes: #486452):
    - String exceptions are not used anymore. (Closes: #585287)
    - Fix missing check in findChildren(), tree.py (Closes: #485758)
  * ACK NMUs:
    - Convert APT's API patch into the quilt format. (Closes: #572087)
    - Convert Ludovico Gardenghi's patch into the quilt
      format. (Closes: #485752)
  * Fix desktop file as Freedesktop.org's per-spec.
  * Migrate from CDBS + python-support to DH short-form + dh_python2.
  * Move to section python.
  * Refresh {,Build-}Depends lists.
  * Remove xbase-clients from Depends. (Closes: #601486)
  * Add Homepage field. (Closes: #572570)
  * Add watch file.
  * Add gbp config file.
  * Refresh debian/copyright to meet copyright format 1.0.
  * Install NEWS as upstream changelog.
  * Bump Standards.

 -- Alessio Treglia <email address hidden> Sat, 09 Feb 2013 16:01:44 +0000

dogtail (0.6.1-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch by Julian Andres Klode to make it API compliant with
    python-apt 0.8 (Closes: #572087).

 -- Mehdi Dogguy <email address hidden> Wed, 01 Jun 2011 16:18:42 +0200

dogtail (0.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "[DoS] use of /tmp/dogtail prevents use by multiple users"
    Applied patch by Ludovico Gardenghi (Closes: #485752)

 -- Bastian Venthur <email address hidden> Sun, 21 Feb 2010 14:57:10 +0100

dogtail (0.6.1-3) unstable; urgency=low

  * pyhton-at-spi has to be added as dependency (Closes: #402752)

 -- Jose Carlos Garcia Sogo <email address hidden> Sat, 16 Dec 2006 10:57:30 +0100

dogtail (0.6.1-2) unstable; urgency=low

  * Yay! As this has been actually uploaded to Debian... close the ITP
    (Closes: #399327)

 -- Jose Carlos Garcia Sogo <email address hidden> Sun, 19 Nov 2006 23:32:50 +0100

dogtail (0.6.1-1) unstable; urgency=low

  * New upstream version.
  * Upload to Debian.
  * Use python-support.
  * debian/rules:
    - remove dh_iconcache, as Debian does not support it.
  * debian/control:
    - add Depends on python-gnome2, python-apt, xvfb and xbase-clients

 -- Jose Carlos Garcia Sogo <email address hidden> Sun, 19 Nov 2006 21:50:49 +0100

dogtail (0.5.1-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * debian/rules:
    - add dh_iconcache.

 -- Daniel Holbach <email address hidden> Tue, 1 Aug 2006 22:59:27 +0200

dogtail (0.4.3+cvs2006.02.14-0ubuntu2) dapper; urgency=low

  * debian/control: Add missing build dependency on python2.4, fixes
    FTBFS. Thanks, Stuart Langridge (Closes: Malone #39827).

 -- Daniel T Chen <email address hidden> Sun, 16 Apr 2006 21:55:34 -0400

dogtail (0i.4.3+cvs2006.02.14-0ubuntu1) dapper; urgency=low

  * [Zack Cerza <email address hidden>]
    - New upstream release.
...

Read more...

Changed in dogtail (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.